body {
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    margin: 0;
    padding: 0;
    color: #f0f0f0;
    background-color: #101010;
}

a {
  color: inherit;
  text-decoration: inherit;
}

a:hover, a:focus {
    outline: none;
    text-decoration: underline;
    text-decoration-thickness: 2px;
}

.header {
    background-color: #5a3e8e;
    padding: 1.5rem;
    color: white;
}

.header .logo {
    width: 120px;
}

.header .title {
    color: white;
    display: inline;
    font-size: 1.5rem;
}

.header .menu ul {
    list-style-type: none;
    display: flex;
    padding: 0;
    margin-bottom: 0;
    gap: 1rem;
    font-size: 1.25rem;
}

main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

article {
    padding: 2rem;
    max-width: 1000px;
    width: 100%;
    box-sizing: border-box;
}

article a {
    color: #bb9af7;
}

article * {
    margin: 0;
    padding: 0;
}

article h1 {
    color: #bb9af7;
    font-size: 1.75rem;
}

article h2 {
    font-size: 1.35rem;
    margin-top: 1rem;
    margin-bottom: 0.5rem;
}

article ul, article ol {
    margin-left: 1rem;
}

.copyright {
    font-size: 0.75rem;
    color: #606060;
    margin-top: 2rem;
}

.library-item {
    padding: 1rem;
    background-color: #202020;
    margin: 1rem 0;
    color: white;
    line-height: 1.5rem;
}

.library-anchor:hover .library-item, .library-anchor:focus .library-item {
    background-color: #303030;
}

.library-anchor:hover, .library-anchor:focus {
    text-decoration: none;
}

.library-item b {
    font-size: 1.2rem;
}

.form {
    width: 100%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}

.form label {
    font-weight: 700;
    margin-top: 1rem;
    margin-bottom: 0.5rem;
}

.form textarea {
    display: inline-block;
    resize: none;
    width: calc(100% - 2rem);
    border: none;
    color: white;
    background-color: #202020;
    font-family: inherit;
    padding: 1rem;
}

.form textarea:focus {
    background-color: #303030;
    outline: none;
}

.form .button-container button {
    margin-top: 1rem;
    padding: 1rem;
    border: none;
    font-weight: 700;
    border-radius: none;
    background-color: #202020;
    color: white;
}

.form .button-container button:hover, .form .button-container button:active {
    background-color: #303030;
}

table {
    border-collapse: collapse;
    margin: 1rem 0;
}

table, th, td {
    border: 1px solid white;
}

th, td {
    padding: 0.5rem;
}

@media screen and (max-width: 800px) {
    .header .logo { width: 80px; }
    .header .title { display: none; }
    .header {
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 1rem;
    }
    .header {
        display: flex;
        flex-direction: column;
    }
}